Skip to main content
POST
/
collections
/
{collection}
/
synonyms
/
{path}
/
items
Create synonym entries
import requests

url = "https://{FUSION HOST}/api/collections/{collection}/synonyms/{path}/items"

payload = {
    "id": "<string>",
    "mapping": "<string>",
    "category": "<string>",
    "enabled": True,
    "modified": "2023-11-07T05:31:56Z",
    "user": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
HttpResponse<String> response = Unirest.post("https://{FUSION HOST}/api/collections/{collection}/synonyms/{path}/items")
.header("Content-Type", "application/json")
.body("{\n \"id\": \"<string>\",\n \"mapping\": \"<string>\",\n \"category\": \"<string>\",\n \"enabled\": true,\n \"modified\": \"2023-11-07T05:31:56Z\",\n \"user\": \"<string>\"\n}")
.asString();
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
mapping: '<string>',
category: '<string>',
enabled: true,
modified: '2023-11-07T05:31:56Z',
user: '<string>'
})
};

fetch('https://{FUSION HOST}/api/collections/{collection}/synonyms/{path}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://{FUSION HOST}/api/collections/{collection}/synonyms/{path}/items")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": \"<string>\",\n \"mapping\": \"<string>\",\n \"category\": \"<string>\",\n \"enabled\": true,\n \"modified\": \"2023-11-07T05:31:56Z\",\n \"user\": \"<string>\"\n}"

response = http.request(request)
puts response.read_body
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://{FUSION HOST}/api/collections/{collection}/synonyms/{path}/items"

payload := strings.NewReader("{\n \"id\": \"<string>\",\n \"mapping\": \"<string>\",\n \"category\": \"<string>\",\n \"enabled\": true,\n \"modified\": \"2023-11-07T05:31:56Z\",\n \"user\": \"<string>\"\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/collections/{collection}/synonyms/{path}/items",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => '<string>',
'mapping' => '<string>',
'category' => '<string>',
'enabled' => true,
'modified' => '2023-11-07T05:31:56Z',
'user' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
curl --request POST \
--url https://{FUSION HOST}/api/collections/{collection}/synonyms/{path}/items \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"mapping": "<string>",
"category": "<string>",
"enabled": true,
"modified": "2023-11-07T05:31:56Z",
"user": "<string>"
}
'
{
  "id": "<string>",
  "mapping": "<string>",
  "category": "<string>",
  "enabled": true,
  "modified": "2023-11-07T05:31:56Z",
  "user": "<string>"
}

Headers

fusion-user-name
string

The Fusion user for authentication.

Path Parameters

collection
string
required

The name of a collection.

path
string
required

The path to a synonyms file.

Pattern: .*

Query Parameters

commit
boolean
default:true

If true, commit the change to Solr immediately instead of asynchronously.

Body

application/json

JSON-formatted synonym entries.

id
string
mapping
string
category
string
enabled
boolean
modified
string<date-time>
user
string

Response

200 - application/json

successful operation

id
string
mapping
string
category
string
enabled
boolean
modified
string<date-time>
user
string
type
enum<string>
read-only
Available options:
EXPLICIT,
EQUIVALENT